Create Payment Method: direct debit mandate
Note: this endpoint is primarily intended for migrating payment methods from other payment gateways into Finverse.
Manually register a Payment Method, referencing a valid card or direct debit mandate (already setup on a 3rd party payment gateway).
The fields required depend on whether the payment method to be registered is a card or direct debit mandate.
This request example creates a direct debit mandate. See the next requests for examples of creating a card payment method.
Access: This flow is available on demand for Finverse customers who want to directly create or migrate Payment Methods. Contact [email protected] to request access.
Authorization: customer_token
Request fields
Pass details of the card or mandate to be created.
card (object, conditionally required)
Details on the card authorized by the end-user.
mandate (object, conditionally required)
Details on the direct debit mandate authorized by the end-user.
mandate_details (object, required)
Details describing the Mandate.
recipient_account (object, required)
Details on the recipient account of the payment (i.e. the Customer App’s receiving account).
sender_account (object, required)
Details on the sender account of the payment (i.e. the payer’s originating account).
Response fields
Single Payment Method object containg details on the payment method authorized by the end-used (Card or Mandate).
card (object, conditional)
Details on the card authorized by the end-user.
card_details (object)
Additional details on the card.
sender (object)
The sender object includes a Payment User object for the sender of the payment. Refer to the Payment User data model in GET /payment_users/{payment_user_id} for details on the Payment User object.
Note: Some Payment User metadata fields are omitted for clarity (e.g. created_at, metadata, updated_at).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Payment User ID
Body
Response
Success (Mandate)
Card object Included only if payment_method_type = CARD.
Mandate object. Refer to Mandate object data model in GET /mandates/{mandate_id}. Included only if payment_method_type = MANDATE.
Finverse unique ID for this payment method. If the Sender has autopay_consent = true , this ID can be used to trigger additional payments on-demand (see POST /payments).
Type of payment method. Possible values: CARD, MANDATE.